[@rxap/forms](../wiki/globals) / markAllDirty

# Function: markAllDirty()

> **markAllDirty**\<`T`\>(`control`): `void`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:146](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L146)

## Type Parameters

• **T**

## Parameters

### control

[`RxapFormArray`](../wiki/Class.RxapFormArray)\<`T`, `any`, `any`\> | [`RxapFormGroup`](../wiki/Class.RxapFormGroup)\<`T`, `any`\>

## Returns

`void`
